From 2bc6755be0c3d1e64e1ec8a8f3a7c9e7f8c0030d Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Wed, 1 Apr 2020 21:18:04 -0400
Subject: [PATCH 11/11] gnu: Add liblinphone

* gnu/packages/linphone.scm (liblinphone): New variable.
---
 gnu/packages/linphone.scm | 49 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/gnu/packages/linphone.scm b/gnu/packages/linphone.scm
index 71f23794e2..6c161c444c 100644
--- a/gnu/packages/linphone.scm
+++ b/gnu/packages/linphone.scm
@@ -24,7 +24,9 @@
   #:use-module (gnu packages base)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages gettext)
   #:use-module (gnu packages gl)
+  ;;#:use-module (gnu packages glib)
   #:use-module (gnu packages gnome)
   #:use-module (gnu packages graphviz)
   #:use-module (gnu packages image)
@@ -32,6 +34,7 @@
   #:use-module (gnu packages linux)
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages python)
+  #:use-module (gnu packages python-xyz)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages telephony)
   #:use-module (gnu packages tls)
@@ -368,3 +371,49 @@ transaction and dialog layers.  It is written in C, with an object-oriented
 API.  It also comprises a simple HTTP/HTTPS client implementation.")
     (home-page "https://gitlab.linphone.org/BC/public/belle-sip")
     (license license:gpl2+)))
+
+(define-public liblinphone
+  (package
+    (name "linphone")
+    (version "3.12.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri
+        (string-append "https://www.linphone.org/releases/sources/" name
+                       "/" name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0phhkx55xdyg28d4wn8l8q4yvsmdgzmjiw584d4s190sq1azm91x"))))
+    (build-system cmake-build-system)
+    (arguments
+     `(#:tests? #f                      ; No test target
+       #:configure-flags
+       (list
+        "-DENABLE_STATIC=NO")))         ; Not required
+    (native-inputs
+     `(("dot" ,graphviz)
+       ("doxygen" ,doxygen)
+       ("gettext" ,gettext-minimal)
+       ("iconv" ,libiconv)
+       ("python" ,python)
+       ("xml2" ,libxml2)
+       ("zlib" ,zlib)))
+    (inputs
+     `(("bctoolbox" ,bctoolbox)
+       ("belcard" ,belcard)
+       ("bellesip" ,belle-sip)
+       ("bzrtp", bzrtp)
+       ("mediastreamer2" ,mediastreamer)
+       ("ortp" ,ortp)
+       ("pystache" ,python-pystache)
+       ("six" ,python-six)
+       ("sqlite" ,sqlite)
+       ("udev" ,eudev)))
+    (synopsis "Belledonne Communications Softphone Library")
+    (description "Liblinphone is a high-level SIP library integrating
+all calling and instant messaging features into an unified
+easy-to-use API.  It is the cross-platform VoIP library on which the
+Linphone application is based on, and that anyone can use to add audio
+and video calls or instant messaging capabilities to an application.")
+    (home-page "https://gitlab.linphone.org/BC/public/liblinphone")
+    (license license:gpl2+)))
-- 
2.26.0

